function [tform]=Mo_Com(I_t0,I_t1)
[Height,Width]=size(I_t1);
points1=detectSURFFeatures(I_t0);
[fts1,vPoints1] = extractFeatures(I_t0,points1);
points2=detectSURFFeatures(I_t1);
[fts2,vPoints2] = extractFeatures(I_t1,points2);
[indexPairs,matchmetric] = matchFeatures(fts1,fts2);
matchedPoints1 = vPoints1(indexPairs(:,1));
matchedPoints2 = vPoints2(indexPairs(:,2));
% showMatchedFeatures(I_t0,I_t1,matchedPoints1,matchedPoints2)
% %%------- Find a transformation matrix using RANSAC algorithm
% gte=vision.GeometricTransformEstimator;
% % gte.Transform = 'Nonreflective similarity';
% % gte.Transform = 'Projective';
% gte.NumRandomSamplingsMethod = 'Desired confidence';
% gte.MaximumRandomSamples = 1000;
% gte.DesiredConfidence = 99.8;
[tform,inlierpoints1,inlierpoints2] = estimateGeometricTransform(matchedPoints1,matchedPoints2,'affine');
%%-----Compute the transformation from the frame I_t1 to the previous one I_t0
% [H_tform_matrix, inlierIdx] = step(gte, matchedPoints1.Location, matchedPoints2.Location);

% [H_tform_matrix,inlierPtsDistorted,inlierPtsOriginal] = ...
%     estimateGeometricTransform(matchedPoints1,matchedPoints2,...
%     'affine');
% % % transform
% agt = vision.GeometricTransformer;
% agt.OutputImagePositionSource = 'Property';
% agt.OutputImagePosition = [1 1 Width Height];
% recovered = step(agt, im2single(I_t0), H_tform_matrix);
% %--------------------------------
% % tform = fitgeotrans(matchedPoints1.Location, matchedPoints2.Location,'nonreflectivesimilarity');
% % B = imwarp(I1,tform);